Bug 108687 - Kernel documentation in incorrect location
Summary: Kernel documentation in incorrect location
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-31 05:48 UTC by Mike MacCana
Modified: 2007-04-18 16:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-27 00:29:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike MacCana 2003-10-31 05:48:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031015
Firebird/0.7

Description of problem:
Software on LSB based Operating Systems should, according to the FHS, install
itself under /usr/share/doc. 

Unlike all other software on Red Hat Linux, the kernel documentation installs
into its own location. It should be possible to install it into the standard
location and thus allow customers can find it where they expect.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install any other piece of software on Linux
2.Install the kernel
3.Find the documentation
    

Actual Results:  The kernel documentation is installed into a non standard location 

Expected Results:  The kernel documentation should be located under
/usr/share/doc/(package)-(version). If the kernel looks in the non standard
location for its documentation post-install, it should be patched accordingly.

Additional info:

Comment 1 Mike MacCana 2004-09-16 11:29:03 UTC
Arjan, is this possible?

Comment 2 Arjan van de Ven 2004-09-16 11:33:48 UTC
[root@jackhammer noarch]# rpm -qlp
kernel-doc-2.6.8-1.569.root.noarch.rpm | head
/usr/share/doc/kernel-doc-2.6.8/Documentation/00-INDEX
/usr/share/doc/kernel-doc-2.6.8/Documentation/BK-usage
/usr/share/doc/kernel-doc-2.6.8/Documentation/BK-usage/00-INDEX
/usr/share/doc/kernel-doc-2.6.8/Documentation/BK-usage/bk-kernel-howto.txt
/usr/share/doc/kernel-doc-2.6.8/Documentation/BK-usage/bk-make-sum
/usr/share/doc/kernel-doc-2.6.8/Documentation/BK-usage/bksend
/usr/share/doc/kernel-doc-2.6.8/Documentation/BK-usage/bz64wrap
/usr/share/doc/kernel-doc-2.6.8/Documentation/BK-usage/cpcset
/usr/share/doc/kernel-doc-2.6.8/Documentation/BK-usage/cset-to-linus


how is this placed in the wrong location???


Comment 3 Mike MacCana 2004-09-27 00:20:28 UTC
Pardon, I'd been looking at kernel-source (which puts it in a
different location, but for an understandable reason) all this time.

Closed.


Note You need to log in before you can comment on or make changes to this bug.